▼ |  | M2 Manual All-Styles Document

1 | Code Styles
2 | Definition Blocks
3 | bitmap-dc%
4 | Miscellaneous
5 | Bibliography
| Bibliography

Inherited methods:
from dc<%>
cache-font-metrics-key
clear
copy
draw-arc
draw-bitmap
draw-bitmap-section
draw-ellipse
draw-line
draw-lines
draw-path
draw-point
draw-polygon
draw-rectangle
draw-rounded-rectangle
draw-spline
draw-text
end-doc
end-page
erase
flush
get-alpha
get-background
get-backing-scale
get-brush
get-char-height
get-char-width
get-clipping-region
get-device-scale
get-font
get-gl-context
get-initial-matrix
get-origin
get-path-bounding-box
get-pen
get-rotation
get-scale
get-size
get-smoothing
get-text-background
get-text-extent
get-text-foreground
get-text-mode
get-transformation
glyph-exists?
ok?
resume-flush
rotate
scale
set-alignment-scale
set-alpha
set-background
set-brush
set-clipping-rect
set-clipping-region
set-font
set-initial-matrix
set-origin
set-pen
set-rotation
set-scale
set-smoothing
set-text-background
set-text-foreground
set-text-mode
set-transformation
start-doc
start-page
suspend-flush
transform
translate
try-color

top ← prev up next →

> class

> bitmap-dc% : class?

superclass: object%

extends: | dc<%>

In multi-page mode, this class definition gets its own page, and there’s an “inherited methods” table in the margin. The table has style class inherited, and the words “inherited methods:” and “from” have style class inheritedlbl.

> > method

> > (send a-bitmap-dc set-bitmap bm) → any

> bm : any/c

A method example; nothing new here, but note how the defined identifier is not at the start of the box.
top ← prev up next →